> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/accounting/v1/gl-accounts > Retrieves a list of GL accounts ## OpenAPI ````json GET /public/accounting/v1/gl-accounts { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/accounting/v1/gl-accounts": { "get": { "tags": [ "netcore" ], "description": "Retrieves a list of GL accounts", "parameters": [ { "name": "ModifiedOnStart", "in": "query", "description": "Modified On Start", "schema": { "type": "string", "format": "date-time" } }, { "name": "ModifiedOnEnd", "in": "query", "description": "Modified On End", "schema": { "type": "string", "format": "date-time" } }, { "name": "GlAccountNumbers", "in": "query", "description": "GL Account Numbers", "schema": { "type": "string" } }, { "name": "GlTypeNames", "in": "query", "description": "GL Types", "schema": { "type": "string" } }, { "name": "OperationalReportCategories", "in": "query", "description": "Operational Reports Categories", "schema": { "type": "string" } }, { "name": "PageSize", "in": "query", "description": "Page size", "schema": { "type": "integer", "format": "int32" } }, { "name": "ContinuationToken", "in": "query", "description": "Continuation token for pagination", "schema": { "type": "string" } }, { "name": "modifiedOnStart", "in": "query", "description": "", "schema": { "type": "string", "format": "date-time" } }, { "name": "modifiedOnEnd", "in": "query", "description": "", "schema": { "type": "string", "format": "date-time" } }, { "name": "glAccountNumbers", "in": "query", "description": "", "schema": { "type": "string" } }, { "name": "glTypeNames", "in": "query", "description": "", "schema": { "type": "string" } }, { "name": "operationalReportCategories", "in": "query", "description": "", "schema": { "type": "string" } }, { "name": "pageSize", "in": "query", "description": "", "schema": { "type": "integer", "format": "int32" } }, { "name": "continuationToken", "in": "query", "description": "", "schema": { "type": "string" } } ], "responses": { "200": { "description": "GL Accounts.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Accounting.Public.Api.Contracts.GeneralLedger.Models.GlAccountsResponse" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Netcore.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Accounting.Public.Api.Contracts.GeneralLedger.Models.GlAccountsResponse": { "type": "object", "properties": { "glAccounts": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Accounting.GeneralLedger.Domain.GLAccounts.Models.GlAccount" }, "description": "GL Accounts." }, "nextLink": { "type": "string", "description": "Next Link for pagination.", "nullable": true } } }, "R365.Netcore.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Netcore.Public.Models.R365Error" } } }, "R365.Accounting.GeneralLedger.Domain.GLAccounts.Models.GlAccount": { "type": "object", "properties": { "id": { "type": "string", "description": "General Ledger Account identifier.", "format": "uuid" }, "number": { "type": "string", "description": "General Ledger Account Number.", "nullable": true }, "name": { "type": "string", "description": "General Ledger Account Name.", "nullable": true }, "glType": { "type": "string", "description": "General Ledger Account Type.", "nullable": true }, "parentAccount": { "$ref": "#/components/schemas/R365.Accounting.GeneralLedger.Domain.GLAccounts.Models.GlAccount.ParentGLAccount" }, "operationalReportCategory": { "type": "string", "description": "Operational Reports Category.", "nullable": true }, "isStatAccount": { "type": "boolean", "description": "Indicates whether the stat Account flag is set." }, "disableEntrySubtotal": { "type": "boolean", "description": "Indicates whether the disable Entry Subtotal flag is set." }, "restrictedAccess": { "type": "boolean", "description": "Indicates whether the restricted Access flag is set." }, "controlAccount": { "type": "boolean", "description": "Indicates whether the control Account flag is set." }, "budgetAs": { "type": "string", "description": "Budget As.", "nullable": true }, "percentageOfBasedOn": { "type": "string", "description": "Percentage Of Based On.", "nullable": true }, "budgetAsPercentageOf": { "type": "string", "description": "Budget As Percentage Of.", "nullable": true }, "budgetPercentageOrAmount": { "type": "number", "description": "Budget Percent or Amount depending on BudgetAs.", "format": "decimal" }, "createdOn": { "type": "string", "description": "Created Date.", "format": "date-time" }, "createdBy": { "$ref": "#/components/schemas/R365.Accounting.Api.Contracts.Shared.EntityReferences.UserReference", "description": "User who created the gl account." }, "modifiedOn": { "type": "string", "description": "Modified Date.", "format": "date-time" }, "modifiedBy": { "$ref": "#/components/schemas/R365.Accounting.Api.Contracts.Shared.EntityReferences.UserReference", "description": "User who last modified the gl account." } } }, "R365.Accounting.GeneralLedger.Domain.GLAccounts.Models.GlAccount.ParentGLAccount": { "type": "object", "properties": { "id": { "type": "string", "description": "General Ledger Account identifier.", "format": "uuid" }, "number": { "type": "string", "description": "General Ledger Account Number.", "nullable": true }, "name": { "type": "string", "description": "General Ledger Account Name.", "nullable": true }, "glType": { "type": "string", "description": "General Ledger Account Type.", "nullable": true } } }, "R365.Accounting.Api.Contracts.Shared.EntityReferences.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "User identifier.", "format": "uuid" }, "name": { "type": "string", "description": "Name.", "nullable": true } }, "description": "A reference to the id and name of a User." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````